#ifndef SBK_KDragWidgetDecoratorBaseWrapper_H
#define SBK_KDragWidgetDecoratorBaseWrapper_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <kdragwidgetdecorator.h>

namespace PySide { class DynamicQMetaObject; }

class KDragWidgetDecoratorBaseWrapper : public KDragWidgetDecoratorBase
{
public:
    KDragWidgetDecoratorBaseWrapper(const KDragWidgetDecoratorBaseWrapper &) = delete;
    KDragWidgetDecoratorBaseWrapper& operator=(const KDragWidgetDecoratorBaseWrapper &) = delete;
    KDragWidgetDecoratorBaseWrapper(KDragWidgetDecoratorBaseWrapper &&) = delete;
    KDragWidgetDecoratorBaseWrapper& operator=(KDragWidgetDecoratorBaseWrapper &&) = delete;

    KDragWidgetDecoratorBaseWrapper(::QWidget * parent = nullptr);
    void childEvent(::QChildEvent * event) override;
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent(::QEvent * event) override;
    void disconnectNotify(const ::QMetaMethod & signal) override;
    ::QDrag * dragObject() override;
    bool event(::QEvent * event) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    void startDrag() override;
    void timerEvent(::QTimerEvent * event) override;
    ~KDragWidgetDecoratorBaseWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[9] = {false, false, false, false, false, false, false, false, false};
};

#endif // SBK_KDragWidgetDecoratorBaseWrapper_H

